## dico 2.7

=== debian/changelog ===
dico (2.7-2) unstable; urgency=medium

  * Fix typo in dicodconfig.8 (Closes: #916748)
  * Add Pre-Depends: python3-dicoclient to dicoweb as a workaround to prevent
    dicoweb unpacked before python3 is configured (Closes: #915584)
  * Update standards version to 4.3.0
  * Add patch description

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 12 Mar 2019 05:00:34 +0100

dico (2.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Marc Dequènes (Duck) ]
  * New upstream release:
    + use new  '--with-libWN' configure option and remove
      'wordnet.diff' patch.
    + remove 'html_mime_header.diff' patch, fixed upstream
    + soname bump, switching to libdico2 with updated symbols
  * Added myself to uploaders.
  * Add multi-arch info for 'dico-doc'.
  * Update standards version to 4.2.1.
  * Update default config to use the mediawiki module and extend the
    database setup example.
  * Add patch to work around test failure due to $V variable being set
    for make calls by debhelper >=11.5.2.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 15 Nov 2018 11:17:08 +0900

dico (2.6-1) experimental; urgency=medium

  * New upstream release (Closes: #885192)
  * Dropped python3-wit package, replace dependencies with python3-wikitrans
  * Removed dicoweb-django.diff, fix_manpage.diff, django_1.10.diff
    patches as they are applied upstream.
  * Refreshed dicoweb-debian.diff patch
  * Update py3.diff patch to fix Python3 compatibility
  * Remove texinfo from build-deps, no more needed according to automake fix
    in #906426. Revert "Add texinfo to build-deps"
  * Add memcached to dicoweb's Recommends.
    Webadmins using remote memcached servers can remove this (Closes: #907668)
  * Added html_mime_header.diff patch to fix dicoweb's handling of text/html
    content type. (Closes: #892717)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 22 Sep 2018 12:48:41 +0200

dico (2.5.90-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental
  * Refresh patch
  * Bumped compat level to 11
  * Bump Guile dependency to 2.2
  * Migrate to Python3
  * Update standards version to 4.2.0
  * Add py3.diff patch to fix Python3 compatibility
  * apache2.conf: set PassengerPython /usr/bin/python3
  * fix_manpagw.diff patch:
    + add NAME section in dicod.conf manpage
    + fix a tag in dicod.conf manpage
  * Add texinfo to build-deps
  * Add lintian override for stratall not linked against libc

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 22 Aug 2018 14:21:01 +0200

=== debian/control ===
Source: dico
Section: text
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>,
           Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               guile-2.2-dev,
               libgsasl7-dev,
               libldap2-dev,
               libltdl7-dev,
               m4,
               python3-all-dev,
               python3-six,
               zlib1g-dev,
               libpcre3-dev,
               libpam0g-dev,
               wordnet-dev
Standards-Version: 4.3.0
Homepage: http://puszcza.gnu.org.ua/software/dico/
Vcs-Git: https://salsa.debian.org/debian/dico.git
Vcs-Browser: https://salsa.debian.org/debian/dico

Package: dicod
Architecture: any
Depends: m4, ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6)
Pre-Depends: adduser
Suggests: dico-doc
Provides: dict-server
Conflicts: dico-module-dictorg, dico-module-outline, dictd
Replaces: dico-module-dictorg, dico-module-outline, dictd
Description: RFC 2229 compliant modular dictionary server
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the dicod server, in addition to the following plugins:
  * ldap: provides LDAP support
  * substr: provides a substring search strategy
  * stratall: provides the 'all' search strategy

Package: dico
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: dico-doc
Conflicts: le-dico-de-rene-cougnenc
Provides: dict-client
Description: RFC 2229 compliant dictionary client
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the dico console client.

Package: libdico2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: RFC 2229 compliant modular dictionary server (shared library)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the shared library.

Package: dico-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdico2 (= ${binary:Version}), ${misc:Depends}
Suggests: dico-doc
Description: RFC 2229 compliant modular dictionary server (development files)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the header files, static libraries, and symbolic links
 needed for development.

Package: dico-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: RFC 2229 compliant modular dictionary server (documentation)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the complete documentation for GNU Dico.

Package: dico-module-guile
Architecture: any
Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: RFC 2229 compliant modular dictionary server (Guile module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package provides an abstract layer for interfacing with database modules
 written in Guile.

Package: dico-module-python
Architecture: any
Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: RFC 2229 compliant modular dictionary server (Python module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package provides an abstract layer for interfacing with database modules
 written in Python.

Package: dico-module-mediawiki
Architecture: all
Depends: dico-module-python,
         python3,
         python3-simplejson,
         python3-wikitrans,
         ${misc:Depends}
Description: RFC 2229 compliant modular dictionary server (mediawiki module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains the module that handles the use of Wiktionary or
 Wikipedia as a dictionary database.

Package: dico-module-wordnet
Architecture: any
Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: RFC 2229 compliant modular dictionary server (WordNet module)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package provides an abstract layer for reading WordNet lexical database
 files.

Package: python3-dicoclient
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: RFC 2229 compliant dictionary client module and shell
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package contains a Python module that provides a Dico client and a simple
 interactive shell.

Package: dicoweb
Architecture: all
Section: web
Depends: libapache2-mod-passenger | libapache2-mod-wsgi,
         python3-django (>= 1.4.5),
         python3-memcache,
         python3-wikitrans,
         ${misc:Depends},
         ${python3:Depends}
Pre-Depends: python3-dicoclient
Recommends: memcached
Description: RFC 2229 compliant modular dictionary server (web interface)
 GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
 It is fully modular: the daemon itself (dicod) provides only the server
 functionality, and knows nothing about database formats. Actual searches
 are performed by functions supplied in loadable modules. A single module
 can serve one or more databases.
 .
 This package provides a web interface for database searches.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYTHON=/usr/bin/python3
export PYTHON_CONFIG=/usr/bin/python3-config
TEST_HOME=$(CURDIR)/tmp-home

# Append -Wl,-E to LDFLAGS for mips,mipsel,s390x archs, see:
# https://lists.debian.org/debian-mips/2014/09/msg00041.html
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter mips mipsel mips64 mips64el s390x,$(DEB_HOST_ARCH)))
	LDFLAGS += "-Wl,-E"
endif

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --without-included-ltdl LDFLAGS="$(LDFLAGS) -Wl,--as-needed" --with-libWN=wordnet

override_dh_auto_build:
	dh_auto_build

	# Build dicoclient python modules:
	dh_auto_build --buildsystem=pybuild --sourcedirectory dicoweb/dicoclient

	# Make those files executable before installing them:
	chmod +x debian/dicodconfig debian/dicodconfig.alias

override_dh_auto_install:
	dh_auto_install

	# Install dicoclient python modules:
	dh_auto_install --buildsystem=pybuild --sourcedirectory dicoweb/dicoclient

override_dh_install:
	dh_install
	# Install dicoweb:
	dh_install -pdicoweb dicoweb usr/share -Xdicoclient -XINSTALL -Xtemplates -Xsettings-sample.py -Xstatic
	dh_install -pdicoweb dicoweb/templates etc/dicoweb
	dh_install -pdicoweb dicoweb/static etc/dicoweb
	dh_install -pdicoweb debian/apache2.conf etc/dicoweb
	[ ! -d debian/dicoweb/etc/dicoweb/ ] || install -m 0644 dicoweb/settings-sample.py $(CURDIR)/debian/dicoweb/etc/dicoweb/settings.py

override_dh_auto_clean:
	dh_auto_clean

	# Clean dicoclient python modules:
	dh_auto_clean --buildsystem=pybuild --sourcedirectory dicoweb/dicoclient

override_dh_auto_test:
	mkdir -p $(TEST_HOME)
	HOME=$(TEST_HOME) dh_auto_test

## dico 2.8

=== debian/changelog ===
dico (2.8-1) experimental; urgency=medium

  * New upstream release
  * Add gitlab-ci.yml
  * Add git-buildpackage conf file
  * Remove undef-gets.diff and test_env_conflict.diff patches, no longer
    needed
  * dico.install: upstream no longer installs locale files
  * debian/copyright:
    + upstream no longer provides gnu/*
    + Update copyright years
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 26 Mar 2019 02:50:48 +0100

## dico 2.8.91

=== debian/changelog ===
dico (2.8.91-1) experimental; urgency=medium

  * New upstream release
  * Bumped compat level to 12
  * idxgcide is now installed in usr/libexec
  * Add ${misc:Pre-Depends} for dicod

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 02 Apr 2019 19:17:17 +0200

## dico 2.9

=== debian/changelog ===
dico (2.9-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:02 +0100

dico (2.9-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:07:08 +0000

dico (2.9-2) unstable; urgency=medium

  * Upload to iunstable

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 03 Jul 2019 03:19:50 +0200

dico (2.9-1) experimental; urgency=medium

  * New upstream release

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 24 Apr 2019 18:19:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>,
            Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dh-python,
                guile-2.2-dev,
                libgsasl7-dev,
@@ -25,7 +25,7 @@
 Package: dicod
 Architecture: any
 Depends: m4, ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6)
-Pre-Depends: adduser
+Pre-Depends: adduser, ${misc:Pre-Depends}
 Suggests: dico-doc
 Provides: dict-server
 Conflicts: dico-module-dictorg, dico-module-outline, dictd

=== debian/rules ===
--- 
+++ 
@@ -50,4 +50,4 @@
 
 override_dh_auto_test:
 	mkdir -p $(TEST_HOME)
-	HOME=$(TEST_HOME) dh_auto_test
+	HOME=$(TEST_HOME) dh_auto_test || cat dicod/tests/testsuite.log

## dico 2.10

=== debian/changelog ===
dico (2.10-1) unstable; urgency=medium

  * NUR:
    + removed 'gcc10-extern' patch, included upstream
    + update symbols file
  * Installing dico translations since upstream provides them again.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 10 Nov 2020 17:09:21 +0900

dico (2.9-5) unstable; urgency=medium

  * Update copyright years
  * dicoweb: update dependency to libapache2-mod-wsgi-py3 to complete Python3
    migration (Closes: #966320)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 10 Aug 2020 11:01:25 +0200

dico (2.9-4) unstable; urgency=medium

  * gcc10-extern.patch forwarded upstream
  * d/rules: remove stray config option

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 10 May 2020 10:23:05 +0200

dico (2.9-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version, no changes needed.
  * Set debhelper-compat version in Build-Depends.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete fields Contact from debian/upstream/metadata.
  * Rely on pre-initialized dpkg-architecture variables.
  * Add missing dependency on texinfo.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Add python3-six, python3-django to python3-dicoclient deps
  * No need for debhelper in build-deps
  * Enable python3 debhelper addon using dh-sequence-python3
  * Update standards version to 4.5.0
  * Add gcc10-extern.patch to use extern for dico_markup_list global var.
    (Closes: #957135)
  * Drop d/source/include-binaries, no longer neeeded
  * Add Rules-Requires-Root: no
  * d/rules: no more need to set --as-needed linker flag
  * Bump to compat level 13
  * d/dico-doc.info: install from debian/tmp
  * Add d/not-installed

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 10 May 2020 07:44:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>,
            Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Build-Depends: debhelper (>= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                guile-2.2-dev,
                libgsasl7-dev,
                libldap2-dev,
@@ -16,9 +16,11 @@
                zlib1g-dev,
                libpcre3-dev,
                libpam0g-dev,
-               wordnet-dev
-Standards-Version: 4.3.0
-Homepage: http://puszcza.gnu.org.ua/software/dico/
+               wordnet-dev,
+               texinfo
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Homepage: https://puszcza.gnu.org.ua/software/dico/
 Vcs-Git: https://salsa.debian.org/debian/dico.git
 Vcs-Browser: https://salsa.debian.org/debian/dico
 
@@ -164,7 +166,9 @@
 Package: python3-dicoclient
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends},
+         python3-six,
+         python3-django (>= 1.4.5)
 Description: RFC 2229 compliant dictionary client module and shell
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -178,7 +182,7 @@
 Package: dicoweb
 Architecture: all
 Section: web
-Depends: libapache2-mod-passenger | libapache2-mod-wsgi,
+Depends: libapache2-mod-passenger | libapache2-mod-wsgi-py3,
          python3-django (>= 1.4.5),
          python3-memcache,
          python3-wikitrans,

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/ \
  https://ftp.gnu.org/gnu/dico/dico-([\d\.]+)\.tar\.(?:gz|bz2|xz)

## dico 2.11

=== dicoweb/requirements.txt ===
Django>=2.0
wikitrans>=1.2
python-memcached>=1.59

=== debian/changelog ===
dico (2.11-4.3build2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:58:16 +0100

dico (2.11-4.3build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:58:46 +0100

dico (2.11-4.3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Fix building with -Werror=int-conversion.  (Closes: #1080584)
  * Fix python3 shebang.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + python3-dicoclient, dicoweb: Drop versioned constraint on python3-django
      in Depends.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Sep 2024 16:04:58 +0200

dico (2.11-4.2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Fix building twice in a row.  (Closes: #1044590)

  [ Helmut Grohne ]
  * Fix indep-only FTBFS arising from #1054187. (Closes: #1068610)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 May 2024 15:56:18 +0200

dico (2.11-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063112

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 11:57:59 +0000

dico (2.11-4) unstable; urgency=medium

  * Install systemd units only once. (thanks Helmut Grohne)
    (Closes: #1054187)

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 21 Nov 2023 01:26:32 +0900

dico (2.11-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + dico-module-guile, dico-module-python, dico-module-wordnet: Add
      Multi-Arch: same.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Switch to new PCRE2 library.
    Add pcre2.diff patch (Closes: #1000086)
  * d/control:
    + Update build-dep: libgsasl7-dev -> libgsasl-dev
    + Remove dependency on obsolete lsb-base
    + Bumped standards version to 4.6.2
  * d/dicod.lintian-overrides: update strings
  * d/dicod.lintian-overrides: use wildcard for postinst line #
  * d/copyright: update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 30 Jun 2023 05:52:24 +0200

dico (2.11-2) unstable; urgency=medium

  * Remove -Wl,-E compiler flag workaround as it FTBFS on some
    architectures.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 25 Apr 2022 20:07:23 +0900

dico (2.11-1) unstable; urgency=medium

  * New upstream release:
    + update symbols file
  * Build depends on unversioned libltdl-dev (Closes: #1009039).
  * Switch to Guile 3.0 (Closes: #969683).
  * Add Documentation key in systemd service files.
  * Fix upstream-metadata-field-unknown (Homepage is defined in the
    control file anyway).
  * Update watch file to version 4.
  * Update standards version to 4.6.0.
  * Add lintian override for init-script-is-not-a-file.
  * Suggests inetd as possible method to run dicod.
  * Really build with system ltdl.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 25 Apr 2022 18:16:30 +0900

=== debian/control ===
--- 
+++ 
@@ -4,31 +4,31 @@
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>,
            Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                dh-sequence-python3,
-               guile-2.2-dev,
-               libgsasl7-dev,
+               guile-3.0-dev,
+               libgsasl-dev,
                libldap2-dev,
-               libltdl7-dev,
+               libltdl-dev,
                m4,
                python3-all-dev,
                python3-six,
                zlib1g-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libpam0g-dev,
                wordnet-dev,
                texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://puszcza.gnu.org.ua/software/dico/
 Vcs-Git: https://salsa.debian.org/debian/dico.git
 Vcs-Browser: https://salsa.debian.org/debian/dico
 
 Package: dicod
 Architecture: any
-Depends: m4, ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6)
+Depends: m4, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: adduser, ${misc:Pre-Depends}
-Suggests: dico-doc
+Suggests: dico-doc, openbsd-inetd | inetutils-inetd
 Provides: dict-server
 Conflicts: dico-module-dictorg, dico-module-outline, dictd
 Replaces: dico-module-dictorg, dico-module-outline, dictd
@@ -59,7 +59,10 @@
  .
  This package contains the dico console client.
 
-Package: libdico2
+Package: libdico2t64
+Provides: ${t64:Provides}
+Replaces: libdico2
+Breaks: libdico2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -78,7 +81,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libdico2 (= ${binary:Version}), ${misc:Depends}
+Depends: libdico2t64 (= ${binary:Version}), ${misc:Depends}
 Suggests: dico-doc
 Description: RFC 2229 compliant modular dictionary server (development files)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
@@ -108,6 +111,7 @@
 Architecture: any
 Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: RFC 2229 compliant modular dictionary server (Guile module)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -122,6 +126,7 @@
 Architecture: any
 Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: RFC 2229 compliant modular dictionary server (Python module)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -153,6 +158,7 @@
 Architecture: any
 Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: RFC 2229 compliant modular dictionary server (WordNet module)
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -168,7 +174,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
          python3-six,
-         python3-django (>= 1.4.5)
+         python3-django
 Description: RFC 2229 compliant dictionary client module and shell
  GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
  It is fully modular: the daemon itself (dicod) provides only the server
@@ -183,7 +189,7 @@
 Architecture: all
 Section: web
 Depends: libapache2-mod-passenger | libapache2-mod-wsgi-py3,
-         python3-django (>= 1.4.5),
+         python3-django,
          python3-memcache,
          python3-wikitrans,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYTHON=/usr/bin/python3
export PYTHON_CONFIG=/usr/bin/python3-config
TEST_HOME=$(CURDIR)/tmp-home

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-libWN=wordnet

override_dh_auto_build:
	dh_auto_build

	# Build dicoclient python modules:
	dh_auto_build --buildsystem=pybuild --sourcedirectory dicoweb/dicoclient

	# Make those files executable before installing them:
	chmod +x debian/dicodconfig debian/dicodconfig.alias

override_dh_auto_install:
	dh_auto_install

	# Install dicoclient python modules:
	dh_auto_install --buildsystem=pybuild --sourcedirectory dicoweb/dicoclient

override_dh_install:
	dh_install
	# Install dicoweb:
	dh_install --package=dicoweb dicoweb usr/share --exclude=dicoclient --exclude=INSTALL --exclude=templates --exclude=settings-sample.py --exclude=static --exclude=requirements.txt
	dh_install --package=dicoweb dicoweb/templates etc/dicoweb
	dh_install --package=dicoweb dicoweb/static etc/dicoweb
	dh_install --package=dicoweb debian/apache2.conf etc/dicoweb
	[ ! -d debian/dicoweb/etc/dicoweb/ ] || install -m 0644 dicoweb/settings-sample.py $(CURDIR)/debian/dicoweb/etc/dicoweb/settings.py

override_dh_auto_clean:
	dh_auto_clean

	# Clean dicoclient python modules:
	dh_auto_clean --buildsystem=pybuild --sourcedirectory dicoweb/dicoclient

override_dh_auto_test:
	mkdir -p $(TEST_HOME)
	HOME=$(TEST_HOME) dh_auto_test || cat dicod/tests/testsuite.log

execute_after_dh_installsystemd-arch:
	ln -s dicod.service debian/dicod/`test -e debian/dicod/lib/systemd/system/dicod.service || echo usr/`lib/systemd/system/dictd.service

## dico 2.12

=== dicoweb/requirements.txt ===
django==4.2.*
pymemcache==4.0.*
wikitrans>=1.2

=== debian/changelog ===
dico (2.12-4) unstable; urgency=medium

  [ Gábor Németh ]
  * B-D on libcrypt-dev (Closes: #1107034)

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Drop redundant Rules-Requires-Root field
  * d/control: update standards version to 4.7.2
  * Removed unused override: libdico2t64 package-name-doesnt-match-sonames
  * Add fix-typos.patch
  * d/p/config_debian.patch: Add DEP-3 patch headers

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 14 Nov 2025 12:28:29 +0100

dico (2.12-3) unstable; urgency=medium

  * Fix configuration (Closes: #1103468):
    + Fix dicodconfig script to issue proper comments.
    + Work around include without bounding <> no longer working despite the
      man page saying otherwise.
  * Suggests dictionaries for dicod.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 23 Apr 2025 05:35:46 +0900

dico (2.12-2) unstable; urgency=medium

  * Fix example config for the mediawiki module (Closes: #1056351),
    thanks Luca Capello for the snippet.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 17 Apr 2025 06:48:22 +0900

dico (2.12-1) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream version 2.12
  * d/control: bump standards version to 4.7.0
  * Update upstream signing key
  * Refresh patches: dicoweb-debian.diff, int-conversion.patch, py3.diff,
    use_system_ltdl.patch.
  * Removed patch: pcre.diff, fixed upstream

  [ Marc Dequènes (Duck) ]
  * dicoweb: collect and compress Django assets.
  * Read Django secret from /etc/dicoweb/secret_key and generate is missing.
  * Rework config and passenger files setup after upstream changes in
    assets handling.
  * Add missing multi-arch information for dicod.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 11 Apr 2025 13:35:27 +0900

dico (2.11-4.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Marc Dequènes (Duck) ]
  * Add dependency on python3-setuptools (dh-python stopped doing so).
    (Closes: #1100212)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 27 Mar 2025 06:57:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,31 +4,35 @@
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>,
            Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                guile-3.0-dev,
+               libcrypt-dev,
                libgsasl-dev,
                libldap2-dev,
                libltdl-dev,
                m4,
                python3-all-dev,
+               python3-setuptools,
                python3-six,
                zlib1g-dev,
                libpcre2-dev,
                libpam0g-dev,
                wordnet-dev,
-               texinfo
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+               texinfo,
+# prevent accidental backports after the 64-bit time_t transition
+               dpkg-dev (>= 1.22.5),
+Standards-Version: 4.7.2
 Homepage: https://puszcza.gnu.org.ua/software/dico/
 Vcs-Git: https://salsa.debian.org/debian/dico.git
 Vcs-Browser: https://salsa.debian.org/debian/dico
 
 Package: dicod
 Architecture: any
+Multi-Arch: foreign
 Depends: m4, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: adduser, ${misc:Pre-Depends}
-Suggests: dico-doc, openbsd-inetd | inetutils-inetd
+Suggests: dico-doc, openbsd-inetd | inetutils-inetd, dict-foldoc, dict-gcide | dictd-dictionary, dict-jargon, dict-wn
 Provides: dict-server
 Conflicts: dico-module-dictorg, dico-module-outline, dictd
 Replaces: dico-module-dictorg, dico-module-outline, dictd
@@ -168,6 +172,20 @@
  .
  This package provides an abstract layer for reading WordNet lexical database
  files.
+
+Package: dico-module-greek-kbd
+Architecture: any
+Depends: dicod, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: RFC 2229 compliant modular dictionary server (Greek transliteration module)
+ GNU Dico is an implementation of the DICT protocol as defined in RFC 2229.
+ It is fully modular: the daemon itself (dicod) provides only the server
+ functionality, and knows nothing about database formats. Actual searches
+ are performed by functions supplied in loadable modules. A single module
+ can serve one or more databases.
+ .
+ This package contains the module that implements Greek transliteration.
 
 Package: python3-dicoclient
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -32,11 +32,9 @@
 override_dh_install:
 	dh_install
 	# Install dicoweb:
-	dh_install --package=dicoweb dicoweb usr/share --exclude=dicoclient --exclude=INSTALL --exclude=templates --exclude=settings-sample.py --exclude=static --exclude=requirements.txt
-	dh_install --package=dicoweb dicoweb/templates etc/dicoweb
-	dh_install --package=dicoweb dicoweb/static etc/dicoweb
+	dh_install --package=dicoweb dicoweb usr/share --exclude=dicoclient --exclude=INSTALL --exclude=settings_sample.py --exclude=requirements.txt
 	dh_install --package=dicoweb debian/apache2.conf etc/dicoweb
-	[ ! -d debian/dicoweb/etc/dicoweb/ ] || install -m 0644 dicoweb/settings-sample.py $(CURDIR)/debian/dicoweb/etc/dicoweb/settings.py
+	[ ! -d debian/dicoweb/etc/dicoweb/ ] || install -m 0644 dicoweb/settings_sample.py $(CURDIR)/debian/dicoweb/etc/dicoweb/settings.py
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ \
  https://ftp.gnu.org/gnu/dico/dico-([\d\.]+)\.tar\.(?:gz|bz2|xz)
